%define name fast-user-switch-applet
%define version 2.16.0
%define release 1mdv2007.0

Summary: Fast User-Switching Applet for GNOME
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://ignore-your.tv/fusa/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-panel-devel
BuildRequires: perl-XML-Parser
BuildRequires: gnome-doc-utils
BuildRequires: libxslt-proc
BuildRequires: libxmu-devel
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
The Fast User-Switching Applet is an applet for the GNOME panel which
provides a menu to switch between users. It integrates with GDM to switch
between existing X11 sessions or create new ones as needed, and will show
the same users as the GDM face browser.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x	--with-users-admin=/usr/bin/userdrake \
		--with-gdm-setup=/usr/bin/gdmsetup \
		--with-gdm-config=/etc/X11/gdm/gdm.conf --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_scrollkeeper


%files -f %name.lang
%defattr(-,root,root)
%doc NEWS AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/%name.schemas
%_libdir/bonobo/servers/GNOME_FastUserSwitchApplet.server
%_libexecdir/%name
%_datadir/%name
%_datadir/gnome-2.0/ui/GNOME_FastUserSwitchApplet.xml
%_datadir/gnome/help/%name/
%dir %_datadir/omf/%name/
%_datadir/omf/%name/*-C.omf

%changelog
* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-3mdv2007.0
- Rebuild with latest dbus

* Tue Jun 27 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- use new macros
- fix buildrequires

* Sun May 21 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdk
- New release 2.15.2

* Fri Apr 28 2006 David Walluck <walluck@mandriva.org> 2.15.1-1mdk
- 2.15.1

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdk
- New release 2.14.1

* Tue Mar 14 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 2.13.92-1mdk
- New release 2.13.92

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 2.13.91-1mdk
- New release 2.13.91

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdk
- New release 2.13.5

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.13.3-4mdk
- Fix BuildRequires
- use mkrel

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 2.13.3-3mdk
- fix buildrequires

* Wed Dec 14 2005 Götz Waschk <waschk@mandriva.org> 2.13.3-2mdk
- fix buildrequires

* Tue Dec 13 2005 Götz Waschk <waschk@mandriva.org> 2.13.3-1mdk
- fix omf file listing
- new source URL
- New release 2.13.3

* Tue Nov 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.2.4-1mdk
- Release 0.2.4

* Mon Aug 15 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.3-1mdk
- initial package
